## pyro 3.5

=== examples/ssl/newcerts/Makefile ===
# $Id: Makefile,v 1.3 2004/01/31 19:44:34 jmates Exp $
#
# Automates the setup of a custom Certificate Authority and provides
# routines for signing and revocation of certificates. To use, first
# customize the commands in this file and the settings in openssl.cnf,
# then run:
#
# make init
#
# Then, copy in certificate signing requests, and ensure their suffix is
# .csr before signing them with the following command:
#
# make sign
#
# To revoke a key, name the certificate file with the cert option
# as shown below:
#
# make revoke cert=foo.cert
#
# This will revoke the certificate and call gencrl; the revocation list
# will then need to be copied somehow to the various systems that use
# your CA cert.

requests = *.csr

sign: ${requests}

# remove -batch option if want chance to not certify a particular request
${requests}: FORCE
	@openssl ca -batch -config openssl.cnf -in $@ -out ${@:.csr=.cert}
	@[ -f ${@:.csr=.cert} ] && rm $@

revoke:
	@test $${cert:?"usage: make revoke cert=certificate"}
	@openssl ca -config openssl.cnf -revoke $(cert)
	@$(MAKE) gencrl

gencrl:
	@openssl ca -config openssl.cnf -gencrl -out ca-crl.pem

clean:
	-rm ${requests}

# creates required supporting files, CA key and certificate
init:
	@test ! -f serial
	@mkdir crl newcerts private
	@chmod go-rwx private
	@echo '01' > serial
	@touch index
	@openssl req -nodes -config openssl.cnf -days 1825 -x509 -newkey rsa -out ca-cert.pem -outform PEM

help:
	@echo make sign
	@echo '  - signs all *.csr files in this directory'
	@echo
	@echo make revoke cert=filename
	@echo '  - revokes certificate in named file and calls gencrl'
	@echo
	@echo make gencrl
	@echo '  - updates Certificate Revocation List (CRL)'
	@echo
	@echo make clean
	@echo '  - removes all *.csr files in this directory'
	@echo
	@echo make init
	@echo '  - required initial setup command for new CA'

# for legacy make support
FORCE:

## pyro 3.9.1

=== debian/changelog ===
pyro (1:3.9.1-2) unstable; urgency=low

  [Carl Chenet]
  * revert to 3.9.1-1 package because of the development status 
    of the 4.1 package is unsuitable for stable use
    DPMT svn #8557 revision (Closes: #589172) 
  * added debian/source
  * added debian/source/format
  * package is now 3.0 (quilt) source format
  * debian/control
    - Bump Standards-Version to 3.9.1

  [Jakub Wilk]
  * Add ‘XS-Python-Version: >= 2.5’ to prevent bytecompilation with python2.4
    (closes: #589053).

 -- Carl Chenet <chaica@ohmytux.com>  Tue, 14 Sep 2010 01:04:28 +0200

pyro (4.1-1) unstable; urgency=low

  * New upstream release
  * debian/control
    - changed Maintainer to DPMT team
    - changed Uploaders to Bernd Zeimetz <bzed@debian.org> and 
      Carl Chenet <chaica@ohmytux.com>
    - bump Standards-Version to 3.9.0
    - removed xslt and docbook-xsl from Build-Depends
    - removed pyro-doc package
    - removed pyro-gui package
    - removed the Suggests field for pyro package
    - added Recommands field with pyro-examples in it
  * debian/pyro.install
    - installing to /usr/share/pyshared/Pyro
  * debian/pyro-examples
    - installing to /usr/share/pyro/examples
  * debian/rules
    - using a rules.tiny with overrides
  * debian/watch
    - updated to look for pyro 4.X
  * removed debian/pyro.docs (no more needed)
  * removed debian/pyro-gui.install (no more gui)
  * removed debian/pyro.pyro-nsd.default (no more executables)
  * removed debian/pyro.1 (no more executables)
  * removed debian/NEWS.Debian (too old)
  * removed debian/setup.cfg (no more needed)
  * removed debian/pyro-doc.install (no more pyro-doc for now)
  * removed debian/pyro.pyro-nsd.init (no more executables)
  * removed debian/pyro.pyro-nsd.init (no more pyro-doc for now)
  * removed debian/pyro-gui.1.xml (no more gui)
  * removed debian/pyro.link (no more executables)

 -- Carl Chenet <chaica@ohmytux.com>  Fri, 02 Jul 2010 01:16:23 +0200

pyro (3.9.1-1) unstable; urgency=low

  [ Sandro Tosi ]
  * debian/control
    - switch Vcs-Browser field to viewsvn

  [ Bernd Zeimetz ]
  * New upstream release.
  * debian/patches/usr-bin-env-location.dpatch:
    - Dropping patch, applied usptream. 
  * debian/control, debian/rules:
    - Dropping dpatch build-dep and include, not needed anymore. 
  * Switching to python-support and dh 7.
  * Bumping Standards-Version to 3.8.1. 
  * Dropping maintainer scripts, dh creates them properly. 
  * Adding missing ${misc:Depends}. 
  * Fix several file permissions in the examples package.
  * Add symlink to the actual docu in pyro-examples. 

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 25 May 2009 14:26:23 +0200

pyro (3.7-2) unstable; urgency=medium

  [ Bernd Zeimetz ]
  * debian/control:
    - Adding Homepage field, removing pseudo-field from description
    - Rename XS-Vcs-* fields to Vcs-* (dpkg supports them now)
    - Updating my email address.

  [ Sandro Tosi ]
  * debian/control
    - uniforming Vcs-Browser field
    - bump Standards-Version to 3.7.3
    - bump versioned build-dep on python-central to at least 0.6
  * debian/copyright
    - converted to UTF-8
    - renamed copyright section to license
    - indented upstream author and license with 4 spaces
    - added copyright notice
  * debian/pyro-doc.doc-base
    - updated section
    - removed empty tailing lines
  * debian/pyro-gui.install
    - removed python-central directory (moved to debian/rules)
  * debian/pyro.install
    - removed python-central directory (moved to debian/rules)
  * debian/rules
    - updated due to new python-central directories structure (Closes:
      #472039)
    - integrate files under python-central directory into dh_install call
    - moved dh_install calls to install target

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 23 Mar 2008 12:58:43 +0100

pyro (3.7-1) unstable; urgency=low

  * Adopting the package in the name of the Python Modules Team
    (Closes: #439048)
    - Thanks to Alexandre Fayolle and Jérémy Bobbio for the previous NMUs
      (Closes: #216731, #377680, #391808)
  * New upstream version
  * debian/watch:
    - Adding file
  * debian/control:
    - Reflecting maintainer change
    - Adding XS-Vcs-Svn and XS-Vcs-Browser fields
    - Moving python to Build-Depends because it's used in the clean target
    - Adding dpatch to Build-Depends
    - Putting pyro-doc into the doc Section
  * debian/semantic.cache:
    - Removing file, not needed for packaging pyro
  * debian/setup.cfg:
    - Adding file to configure upstream's very special setup.py
  * debian/rules:
    - Fixing build process to use debian/setup.cfg
    - Adding dpatch targets/include
  * debian/README.Debian:
    - Removing file, explanation not needed anymore
  * debian/NEWS.Debian:
    - Adding file, explaining upstream's change in the script names
  * debian/patches:
    - Adding patch to cleanup/fix shebangs

 -- Bernd Zeimetz <bernd@bzed.de>  Sat, 01 Sep 2007 23:12:52 +0200

pyro (3.5-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Switch to python-wxgkt2.6 instead of python-wxgtk2.4.
  * Implement better use of pycentral. (Closes: #391808)
  * Move debhelper from Build-Depends-Indep to Build-Depends as debhelper is
    used in the clean rule (see policy 7.6).
  * Update python-central dependency (>= 0.5).
  * Add LSB header to init script.
  * Fix pyro-nsd pid file location (was in /tmp, now in /var/run).

 -- Jérémy Bobbio <jeremy.bobbio@etu.upmc.fr>  Sun,  8 Oct 2006 22:33:36 +0200

pyro (3.5-1.1) unstable; urgency=low

  * NMU
  * Support multiple Python version (closes: #216731)
  * Support the new python policy (closes: #377680)
  * updated standards to 3.7.2
  * switched debhelper compatibility mode to 5

 -- Alexandre Fayolle <afayolle@debian.org>  Wed, 12 Jul 2006 10:27:11 +0200

pyro (3.5-1) unstable; urgency=low

  * New upstream release (Closes: Bug#344878)

 -- Cédric Delfosse <cedric@debian.org>  Thu,  2 Feb 2006 23:11:47 +0100

pyro (3.4-3) unstable; urgency=low



=== debian/control ===
Source: pyro
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Bernd Zeimetz <bzed@debian.org>, Carl Chenet <chaica@ohmytux.com>
Build-Depends: debhelper (>= 7.0.50), python-all
Build-Depends-Indep: python-support (>= 0.71), xsltproc, docbook-xsl
Standards-Version: 3.9.1
Homepage: http://pyro.sourceforge.net
Vcs-Svn: svn://svn.debian.org/python-modules/packages/pyro/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/pyro/trunk/
XS-Python-Version: >= 2.5

Package: pyro
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Suggests: pyro-gui, pyro-doc
Description: distributed object system for Python
 Pyro (PYthon Remote Object) is an easy to use and powerful distributed object
 system for Python. In a distributed object system, clients send requests to
 distant servers, which owns the remote objects. Pyro simplifies a lot the
 creation of clients and servers, and has among its features:
  - dynamic and static proxies for all remote method invocations,
  - a naming service which keeps record of the location of objects,
  - mobile objects support: clients and servers can pass objects around,
  - exceptions that occur in the remote object is raised on the client too,
  - multithreaded server support to handle multiple requests simultaneously.
 .
 This package contains the core Pyro library and the command line tools.
 .
 Some graphical tools are available in the pyro-gui package.
 The documentation is available in the pyro-doc package.
 A lot of examples are available in the pyro-examples package.

Package: pyro-gui
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, pyro, python-tk, python-wxgtk2.6
Description: graphicals tool for Pyro
 Pyro (PYthon Remote Object) is an easy to use and powerful distributed object
 system for Python.
 .
 This package contains two graphical name server control tools:
  - xnsc : built on top of the Tk toolkit
  - wxnsc : build in on top of WxWindows

Package: pyro-doc
Architecture: all
Section: doc
Suggests: pyro
Depends: ${misc:Depends}
Description: documentation for Pyro
 Pyro (PYthon Remote Object) is an easy to use and powerful distributed object
 system for Python.
 .
 This package contains the documentation files for the pyro package.

Package: pyro-examples
Architecture: all
Depends: pyro, ${misc:Depends}
Description: examples for Pyro
 Pyro (PYthon Remote Object) is an easy to use and powerful distributed object
 system for Python.
 .
 This package contains some examples for the pyro package.

## pyro 3.14

=== debian/changelog ===
pyro (1:3.14-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Update to depend on python-wxgtk2.8 rather than python-wxgtk2.6 - should
    be a low risk change, as with default alternatives 2.8 will already get
    used if installed, and 2.8 has twice as many installs according to popcon.
    (Closes: #645566)
  * Fix typos in package description - 'WxWindows' -> 'wxWidgets';
    'graphicals' -> 'graphical'; 'build in on' -> 'built on'.

 -- Olly Betts <olly@survex.com>  Thu, 24 Nov 2011 03:48:43 +0000

pyro (1:3.14-1) unstable; urgency=high

  * New upstream release
      - /usr/bin/pyro-rns was removed by upstream
  * SECURITY UPDATE: arbitrary file overwriting via symlink (Closes: #631912,
    LP: #830742)
      - store pidfile in /var/run instead of /tmp
      - Pyro/ext/daemonizer.py changed default location to /var/run
      - Pyro/ext/daemonizer.py added command-line parameter (--pidfile=...) to
        override default pidfile location
      - default location for pidfile is tunable via /etc/default/pyro-nsd
      - CVE-2011-2765 

 -- Gustavo Goretkin <gustavo.goretkin@gmail.com>  Sun, 21 Aug 2011 16:04:00 -0400

=== debian/control ===
--- 
+++ 
@@ -34,14 +34,14 @@
 
 Package: pyro-gui
 Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}, pyro, python-tk, python-wxgtk2.6
-Description: graphicals tool for Pyro
+Depends: ${python:Depends}, ${misc:Depends}, pyro, python-tk, python-wxgtk2.8
+Description: graphical tool for Pyro
  Pyro (PYthon Remote Object) is an easy to use and powerful distributed object
  system for Python.
  .
  This package contains two graphical name server control tools:
   - xnsc : built on top of the Tk toolkit
-  - wxnsc : build in on top of WxWindows
+  - wxnsc : built on top of wxWidgets
 
 Package: pyro-doc
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DB2MAN=/usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl
XP=xsltproc -''-nonet

%.1: %.1.xml
	$(XP) -o $@ $(DB2MAN) $< 

%:
	dh $@

build: debian/pyro-gui.1
	dh_testdir
	[ -r setup.cfg.upstream ] || cp setup.cfg setup.cfg.upstream
	cp debian/setup.cfg .
	dh $@

clean:
	dh $@
	rm -f build debian/pyro-gui.1
	[ ! -r setup.cfg.upstream ] || mv setup.cfg.upstream setup.cfg

override_dh_install:
	dh_install -ppyro -Xwxnsc.py -Xxnsc.py
	dh_install -Npyro -Xdocs/LICENSE

override_dh_fixperms:
	dh_fixperms
	find $(CURDIR)/debian/pyro-examples -type f -name '*.py' | \
		xargs grep -L '#!/usr/bin' | \
		xargs chmod 644
	find $(CURDIR)/debian/pyro-examples -type f -name '*.txt' | \
		xargs chmod 644

override_dh_installinit:
	dh_installinit -ppyro --name=pyro-nsd

.PHONY: build clean override_dh_installinit override_dh_install override_dh_fixperms

=== debian/watch ===
version=3

opts=filenamemangle=s/P/p/ \
http://sf.net/pyro/Pyro-(.*)\.tar\.gz

## pyro 3.16

=== Makefile ===

all:
	@echo "This makefile is only for cleaning stuff up. ('make clean')"
	@echo "You can also build the tarball dist with it ('make sdist')"
	@echo "You can also build the win32 binary dist with it ('make windist')"

sdist: 
	python setup.py sdist
	@echo "Look in the dist/ directory"

windist: 
	python setup.py bdist_wininst
	@echo "Look in the dist/ directory"

upload_docs:
	mkdir -p build/docs
	rm -f build/docs/*
	cp docs/* build/docs/
	python setup.py upload_sphinx
	rm build/docs/*
	rmdir build/docs
    
clean:
	@echo "Removing stray logfiles, Pyro URI dumps, .pyo/.pyc files..."
	find . -name \*_log  | xargs  rm -v
	find . -name \*.log  | xargs  rm -v
	find . -name \*_URI  | xargs  rm -v
	find . -name \*.pyo  | xargs  rm -v
	find . -name \*.pyc  | xargs  rm -v
	find . -name \*.class  | xargs  rm -v
	find . -name \*.DS_Store  | xargs  rm -v
	@echo "Removing non-CVS files..."
	rm -fv MANIFEST 
	rm -rf build
	find . -name  '.#*'  | xargs  rm -v 
	find . -name  '#*#'  | xargs  rm -v 

	@echo "clean!"

=== debian/changelog ===
pyro (1:3.16-2) unstable; urgency=medium

  * Home page has changed ;
    sourceforge.net page now points to different project!
  * Point VCS git salsa.debian.org
  * DH_COMPAT=11 
  * Add dependency on lsb-base for init.d file
  * Standards-Version: 4.1.3; no changes required

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 24 Jan 2018 15:45:09 +0000

pyro (1:3.16-1) unstable; urgency=medium

  * New upstream release
  * Update watch file to use pypi not sourceforge.net
  * Standards-Version: 4.0.0
  * Move to DH_COMPAT=10
  * Add . /lib/lsb/init-functions to init file

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 02 Jul 2017 10:41:49 +0100

pyro (1:3.14-5) unstable; urgency=medium

  *  New maintainer. Closes: #790352

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 04 Jan 2017 09:36:34 +0000

pyro (1:3.14-4) unstable; urgency=medium

  * QA upload.
  * Move the git repository to collab-maint.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 15 Dec 2015 16:08:29 +0000

pyro (1:3.14-3) unstable; urgency=medium

  * QA upload.
  * Orphan the package, see #530280

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 15 Dec 2015 14:59:29 +0000

pyro (1:3.14-2) unstable; urgency=low

  * Team upload.

  [ SVN-Git Migration ]
  * git-dpm config.
  * Update Vcs fields for git migration.

  [ Mattia Rizzolo ]
  * Remove long useless debian/pycompat file.
  * Build using dh-python instead of python-support.  Closes: #786365

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 14 Dec 2015 16:17:53 +0000

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: pyro
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Bernd Zeimetz <bzed@debian.org>, Carl Chenet <chaica@ohmytux.com>
-Build-Depends: debhelper (>= 7.0.50), python-all
-Build-Depends-Indep: python-support (>= 0.71), xsltproc, docbook-xsl
-Standards-Version: 3.9.1
-Homepage: http://pyro.sourceforge.net
-Vcs-Svn: svn://svn.debian.org/python-modules/packages/pyro/trunk/
-Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/pyro/trunk/
-XS-Python-Version: >= 2.5
+Maintainer: Alastair McKinstry <mckinstry@debian.org>
+Build-Depends: debhelper (>= 11), 
+ python-all
+Build-Depends-Indep: dh-python, xsltproc, docbook-xsl
+Standards-Version: 4.1.3
+Homepage: http://www.pythonhosted.org/Pyro/
+Vcs-Browser: https://salsa.debian.org:/mckinstry/pyro.git
+Vcs-Git: https://salsa.debian.org:/mckinstry/pyro.gt
+X-Python-Version: >= 2.5
 
 Package: pyro
 Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}
+Depends: ${python:Depends}, ${misc:Depends}, lsb-base
 Suggests: pyro-gui, pyro-doc
 Description: distributed object system for Python
  Pyro (PYthon Remote Object) is an easy to use and powerful distributed object
@@ -34,7 +34,7 @@
 
 Package: pyro-gui
 Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}, pyro, python-tk, python-wxgtk2.8
+Depends: ${python:Depends}, ${misc:Depends}, pyro, python-tk, python-wxgtk3.0
 Description: graphical tool for Pyro
  Pyro (PYthon Remote Object) is an easy to use and powerful distributed object
  system for Python.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 # Uncomment this to turn on verbose mode.
-#export DH_VERBOSE=1
+export DH_VERBOSE=1
 
 DB2MAN=/usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl
 XP=xsltproc -''-nonet
@@ -9,7 +9,7 @@
 	$(XP) -o $@ $(DB2MAN) $< 
 
 %:
-	dh $@
+	dh $@ --with python2
 
 build: debian/pyro-gui.1
 	dh_testdir
@@ -20,9 +20,12 @@
 clean:
 	dh $@
 	rm -f build debian/pyro-gui.1
+	rm -rf Pyro.egg-info
 	[ ! -r setup.cfg.upstream ] || mv setup.cfg.upstream setup.cfg
 
 override_dh_install:
+	python ./setup.py install --root $(CURDIR)/debian/tmp
+	mv debian/tmp/usr/local/lib debian/tmp/usr/lib
 	dh_install -ppyro -Xwxnsc.py -Xxnsc.py
 	dh_install -Npyro -Xdocs/LICENSE

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
https://pypi.debian.net/Pyro/Pyro-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
